Name:           ceph-ansible
Version:        6.0.20.2
Release:        1%{?dist}
Summary:        Ansible playbooks for Ceph
# Some files have been copied from Ansible (GPLv3+). For example:
#  library/ceph_facts
#  plugins/actions/config_template.py
#  roles/ceph-common/plugins/actions/config_template.py
License:        ASL 2.0 and GPLv3+
URL:            https://github.com/ceph/ceph-ansible
Source0:        https://github.com/ceph/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Obsoletes:      ceph-iscsi-ansible <= 1.5

BuildArch:      noarch

BuildRequires: ansible >= 2.9
Requires: ansible >= 2.9

%if 0%{?rhel} == 7
BuildRequires: python2-devel
Requires: python2-netaddr
%else
BuildRequires: python3-devel
Requires: python3-netaddr
%endif

%description
Ansible playbooks for Ceph

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/ceph-ansible

for f in ansible.cfg *.yml *.sample group_vars roles library module_utils plugins infrastructure-playbooks; do
  cp -a $f %{buildroot}%{_datarootdir}/ceph-ansible
done

pushd %{buildroot}%{_datarootdir}/ceph-ansible
  # These untested playbooks are too unstable for users.
  rm -r infrastructure-playbooks/untested-by-ci
  %if ! 0%{?fedora} && ! 0%{?centos}
    # remove ability to install ceph community version
    rm roles/ceph-common/tasks/installs/redhat_{community,dev}_repository.yml
    # Ship only the Red Hat Ceph Storage config (overwrite upstream settings)
    cp group_vars/rhcs.yml.sample group_vars/all.yml.sample
  %endif
popd

%check
# Borrowed from upstream's .travis.yml:
ansible-playbook -i dummy-ansible-hosts test.yml --syntax-check

%files
%doc README.rst
%license LICENSE
%{_datarootdir}/ceph-ansible

%changelog
* Thu Jan 06 2022 Thomas Serlin <tserlin@redhat.com> 6.0.20.2-1
- Update to 6.0.20.2 (rhbz#2029697)

* Wed Dec 15 2021 Ken Dreyer <kdreyer@redhat.com> 6.0.20.1-1
- Update to 6.0.20.1 (rhbz#2032790)

* Fri Dec 03 2021 Ken Dreyer <kdreyer@redhat.com> 6.0.20.0-1
- Update to 6.0.20.0 (rhbz#2017508)

* Tue Nov 30 2021 Ken Dreyer <kdreyer@redhat.com> 6.0.20-1
- Update to 6.0.20 (rhbz#2027411 rhbz#2026861)

* Tue Nov 09 2021 Thomas Serlin <tserlin@redhat.com> 6.0.19-1
- Update to 6.0.19 (rhbz#2017508, rhbz#2006415)

* Mon Oct 25 2021 Thomas Serlin <tserlin@redhat.com> 6.0.18-1
- Update to 6.0.18 (rhbz#1954971, rhbz#1967440)

* Tue Oct 19 2021 Thomas Serlin <tserlin@redhat.com> 6.0.17-1
- Update to 6.0.17 (rhbz#2007614)

* Wed Oct 13 2021 Ken Dreyer <kdreyer@redhat.com> - 6.0.16-1
- Update to v6.0.16 (rhbz#2009212 rhbz#2000412)

* Mon Sep 13 2021 Thomas Serlin <tserlin@redhat.com> 6.0.15-1
- Update to 6.0.15 (rhbz#2000103)

* Wed Sep 01 2021 Thomas Serlin <tserlin@redhat.com> 6.0.14-1
- Update to 6.0.14 (rhbz#bz1997083)

* Tue Aug 31 2021 Thomas Serlin <tserlin@redhat.com> 6.0.13-1
- Update to 6.0.13 (rhbz#1986083, rhbz#1982968, rhbz#1976179, rhbz#1973149, rhbz#1956840)

* Thu Aug 05 2021 Thomas Serlin <tserlin@redhat.com> 6.0.11.1-1
- Update to 6.0.11.1 (rhbz#1987010, rhbz#1988404)

* Tue Jun 29 2021 Ken Dreyer <kdreyer@redhat.com> 6.0.11-1
- Update to 6.0.11 (rhbz#1967455)

* Thu Jun 24 2021 Thomas Serlin <tserlin@redhat.com> 6.0.10-1
- Update to 6.0.10 (rhbz#1967455)

* Thu Jun 17 2021 Thomas Serlin <tserlin@redhat.com> 6.0.9-1
- Update to 6.0.9 (rhbz#1970003,rhbz#1970232,rhbz#1970313,rhbz#1972988)

* Wed May 19 2021 Thomas Serlin <tserlin@redhat.com> 6.0.6-1
- Update to 6.0.6 (rhbz#1961704)

* Sun May 02 2021 Thomas Serlin <tserlin@redhat.com> 6.0.5-1
- Update to 6.0.5 (rhbz#1954614)

* Tue Apr 27 2021 Thomas Serlin <tserlin@redhat.com> 6.0.4-1
- Update to 6.0.4 (rhbz#1950403)

* Tue Apr 13 2021 Thomas Serlin <tserlin@redhat.com> 6.0.3-1
- Update to 6.0.3 (rhbz#1943170,rhbz#1944504)

* Tue Mar 23 2021 Ken Dreyer <kdreyer@redhat.com> 6.0.2-1
- Update to 6.0.2 (rhbz#1935554 rhbz#1938658 rhbz#1939887)

* Wed Mar 03 2021 Thomas Serlin <tserlin@redhat.com> 6.0.1-1
- Update to 6.0.1 (rhbz#1934413)

* Wed Feb 24 2021 Ken Dreyer <kdreyer@redhat.com> - 6.0.0-1
- Update to v6.0.0 (rhbz#1903504 rhbz#1918650 rhbz#1922926)

* Mon Feb 01 2021 Thomas Serlin <tserlin@redhat.com> - 6.0.0alpha7-1
- Update to v6.0.0alpha7 (rhbz#1918424)

* Wed Jan 20 2021 Ken Dreyer <kdreyer@redhat.com> - 6.0.0alpha6-1
- Update to v6.0.0alpha6 (rhbz#1917530)

* Fri Jan 15 2021 Ken Dreyer <kdreyer@redhat.com> - 6.0.0alpha5-1
- Update to v6.0.0alpha5 (rhbz#1915637)

* Wed Jan 06 2021 Thomas Serlin <tserlin@redhat.com> 6.0.0-0.1.alpha4
- Update to 6.0.0alpha4 (rhbz#1910214)

* Wed Dec 16 2020 Ken Dreyer <kdreyer@redhat.com> 6.0.0-0.1.alpha3
- Update to 6.0.0alpha3 (rhbz#1903732 rhbz#1904398)

* Thu Oct 01 2020 Ken Dreyer <kdreyer@redhat.com> 6.0.0-0.1.alpha2
- Update to 6.0.0alpha2

* Fri Jul 17 2020 Thomas Serlin <tserlin@redhat.com> 5.0.1-1
- Update to 5.0.1

* Tue Jun 23 2020 Thomas Serlin <tserlin@redhat.com> 5.0.0-1
- Update to 5.0.0

